# https://github.com/ActiveState/appdirs/archive/1.4.3.tar.gz
%global module appdirs

Name:           python-%{module}
Version:        1.4.3
Release:        %mkrel 1
Summary:        Python module for determining platform-specific directories

License:        MIT
Group:          Development/Python
URL:            https://github.com/ActiveState/%{module}
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
%{summary}.

%package -n python3-%{module}
Summary:        Python 3 module for determining platform-specific directoriess

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd

%files
%doc LICENSE.txt README.rst CHANGES.rst
%{python2_sitelib}/*

%files -n python3-%{module}
%doc LICENSE.txt README.rst CHANGES.rst
%{python3_sitelib}/*

%changelog
* Sat Jun 30 2018 adrianomorselli <adrianomorselli> 1.4.3-1uplos2018
- imported for uplos
